%define	name	dark-oberon
%define	version	1.0.2
%define	pre	RC2
%define	release	0.rc2.2
%define	Summary	Dark Oberon

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Group:		Games/Strategy
Source0:	%{name}-%{version}-%{pre}.tar.lzma
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
#Patch0:		dark-oberon-1.0.2-RC1-mdkconf.patch.bz2
Patch1:		dark-oberon-1.0.2-rc2-compile-fixes.patch	
Url:		http://dark-oberon.sourceforge.net/
Summary:	%{Summary}
License:	GPL
BuildRequires:	X11-devel glfw Mesa-common-devel lzma
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Dark Oberon is an open source real-time strategy game similar to Warcraft II
released under GPL. It has got awesome graphics - textures created from
shots of real models made out of plasticine!

%prep
%setup -q -n %{name}-%{version}-%{pre}
#%patch0 -p1 -b .mdkconf
%patch1 -p0  -b .fixes
find -name CVS|xargs rm -rf
cd src
sh create_makefile.sh

%build
%make DEFINES="-DDATA_DIR='\"%{_gamesdatadir}/%{name}/\"' -DUNIX=1 -DSOUND=0 -DDEBUG=0" CPPFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -m755 dark-oberon -D %{buildroot}%{_gamesbindir}/%{name}
install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -r dat maps races schemes -d %{buildroot}%{_gamesdatadir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Abuse
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;StrategyGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README docs/*
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Mon Jun 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-0.rc2.2mdv2008.0
+ Revision: 41105
- remove LIBPATHS (got there by a mistake..)
- switch to xdg menu
- whoops, forgot one fix
- svn snapshot (ca. RC2 :p)
- fixes for new gcc & 64 bit (P2)
- Import dark-oberon



* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-0.rc1.2mdk
- fix buildrequires

* Thu Aug 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-0.rc1.1mdk
- 1.0.2-RC1
- define datadir and get rid of broken wrapper script
- fix so that we don't use datadir for logs and config (P0)
- add icon
- add docs
- remove suckage

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-0.cvs20050810.1mdk
- initial release
